Send a message to a chat session
curl --request POST \
--url https://api.example.com/v2/aether/chats/{chat_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"messages": [
{
"parts": [
{
"type": "text",
"text": "<string>"
}
],
"content": "<string>"
}
]
}
'import requests
url = "https://api.example.com/v2/aether/chats/{chat_id}"
payload = { "messages": [
{
"parts": [
{
"type": "text",
"text": "<string>"
}
],
"content": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({messages: [{parts: [{type: 'text', text: '<string>'}], content: '<string>'}]})
};
fetch('https://api.example.com/v2/aether/chats/{chat_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "start",
"messageId": "<string>"
}
}{
"type": "request-validation",
"status": 422,
"title": "<string>",
"errors": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
],
"detail": "<string>"
}aether
Send a message to a chat session
Streams the agent’s response back as Vercel AI SDK data-stream (SSE) events. File parts referencing uploaded files are resolved and passed to the agent as media.
POST
/
v2
/
aether
/
chats
/
{chat_id}
Send a message to a chat session
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Show child attributes
Show child attributes
Response
Successful Response
SSE frame describing the data: payload as a discriminated event union.
Speakeasy's SSE schema model expects each frame's top-level properties to
be SSE protocol fields (id, event, data, retry). The data field
here describes the JSON object inside each data: line — a discriminated
union of every event the aether wire emits. The wire format is unchanged
from Vercel AI SDK v6 (data: {"type": "...", ...}).
- StartEvent
- StartStepEvent
- FinishStepEvent
- FinishEvent
- TextStartEvent
- TextDeltaEvent
- TextEndEvent
- ReasoningStartEvent
- ReasoningDeltaEvent
- ReasoningEndEvent
- ToolInputStartEvent
- ToolInputDeltaEvent
- ToolInputAvailableEvent
- ToolOutputAvailableEvent
- DataCustomEvent
- DataTableEvent
- DataChartEvent
- DataSuggestionsEvent
- DataPlanResultEvent
- ErrorEvent
Show child attributes
Show child attributes
